# Enum Class VulkanIndexType

java.lang.Object
java.lang.Enum<VulkanIndexType>
com.io7m.jcoronado.api.VulkanIndexType

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanIndexType>`, `Constable`

public enum VulkanIndexType extends Enum<VulkanIndexType> implements VulkanEnumIntegerType
The type of index buffer indices.

See Also:
  - "VkIndexType"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_INDEX_TYPE_UINT16`
  Specifies that indices are 16-bit unsigned integer values
  `VK_INDEX_TYPE_UINT32`
  Specifies that indices are 32-bit unsigned integer values

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanIndexType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanIndexType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_INDEX_TYPE_UINT16

    public static final VulkanIndexType VK_INDEX_TYPE_UINT16
    Specifies that indices are 16-bit unsigned integer values

  - ### VK_INDEX_TYPE_UINT32

    public static final VulkanIndexType VK_INDEX_TYPE_UINT32
    Specifies that indices are 32-bit unsigned integer values

- ## Method Details

  - ### values

    public static VulkanIndexType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanIndexType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant